local M = require("lualine.component"):extend()

-- stylua: ignore start
M.map = {
  ["n"]   = "", --   "Normal "
  ["no"]  = "", --   "O-Pend "
  ["ni"]  = "", --   "Normal "  (normal via i_CTRL-O)
  ["v"]   = "󰒉", --   "Visual "
  [""]  = "󰩭", --   "V-Block"
  ["s"]   = "󰒉", --   "Select "
  [""]  = "󰩭", --   "S-Block"
  ["i"]   = "", --   "Insert "
  ["r"]   = "󰄾", --   "Replace"
  ["rv"]  = "󰶻", --   "V-Repl "
  ["c"]   = "", --   "Command"
  ["cv"]  = "", --   "  Ex   "
  ["rm"]  = "", --   " modeore  (modeORE)
  ["r?"]  = "󰭚", --   "Confirm"  (:confirm)
  ["!"]   = "", --   " Shell "  (external command executing)
  ["t"]   = "", --   " Term  "
}
-- stylua: ignore end

function M:update_status(is_focused)
  if not is_focused then return " 󰒲 " end

  local code = vim.api.nvim_get_mode().mode:lower()
  local symbol = M.map[code:sub(1, 2)] or M.map[code:sub(1, 1)] or code
  return " " .. symbol .. " "
end

return M
